//---------------------------------------------------------------------------

#ifndef ComMainFormH
#define ComMainFormH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include "CPort.hpp"
#include "CPortCtl.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TMemo *Memo1;
	TButton *Button1;
	TButton *Button2;
	TButton *Button3;
	TButton *Button4;
	TEdit *Edit1;
	TButton *Button5;
	TCheckBox *CheckBox1;
	TButton *Button6;
	TComPort *ComPort1;
	TComLed *ComLed1;
	void __fastcall ComPort1RxChar(TObject *Sender, int Count);
	void __fastcall Button5Click(TObject *Sender);
	void __fastcall ComPort1AfterOpen(TObject *Sender);
	void __fastcall ComPort1AfterClose(TObject *Sender);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall Button4Click(TObject *Sender);
	void __fastcall Button6Click(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
